import { jsx } from "react/jsx-runtime";
import { TokenSFTMX as TokenSFTMX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSFTMX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SFTMX", "data-name": "TokenSFTMX", ...props, children: /* @__PURE__ */ jsx(TokenSFTMX$1, { variant }) });
  }
);
TokenSFTMX.displayName = "TokenSFTMX";
Object.assign(TokenSFTMX, { isGdsIcon: true });
export {
  TokenSFTMX
};
